{% extends "base-backend.html" %}
{% block content %}

<!-- new_form_message_page -->

<div class="ds-narrow-container">

  <div class="grid ds-header-title ds-no-border">
    <div class="g-col-12 ds-title-with-icon-return">
      <a href="{{ url_for('admin_bp.admin_panel', goto='custom-texts')}}" arial-label="return"><i data-feather="arrow-left"></i></a>
      <h1>{{ _("New form message") }}</h1>
    </div>
  </div>

  <div class="grid mt-2">
    <div class="g-col-12">
      <div class="card">
        <div class="card-body">
          <p>{{ _("Display this message when a new form is created.") }}</p>
          <div id="toggle_enabled" class="btn-group btn-toggle">
            <button id="enabled_true" class="btn btn-sm {% if g.site.new_form_msg['enabled'] %} btn-primary {% else %} btn-outline-secondary {% endif %} ">{{ _("Enabled") }}</button>
            <button id="enabled_false" class="btn btn-sm {% if not g.site.new_form_msg['enabled'] %} btn-primary {% else %} btn-outline-secondary {% endif %} ">{{ _("Disabled") }}</button>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="grid mt-4">
    <div class="g-col-12">
      <div class="card">
        <div class="card-body">
          <form method="POST">
            {% set has_languages = g.site.custom_languages|length > 1 %}
            {{ wtform.csrf_token }}
            {% if has_languages %}
              <div class="mt-1">
                {{ wtform.language.label(for="language", class_="form-label") }}
                {{ wtform.language(id="language", class_="form-select", onchange="changeLanguage()") }}
              </div>
            {% else %}
              <input id="language" type="hidden" name="language" value="{{g.site.language}}" />
            {% endif %}
            <div class="form-group {% if has_languages %}mt-4{%else%}mt-1{%endif%}">
              {{ wtform.msg.label(for="message", class_="form-label") }}
              {{ wtform.msg(id="message", class_="form-control") }}
              <div class="form-text">{{ _("May include HTML links" )}}</div>
              {% for error in wtform.msg.errors %}
                <span class="wtf-error ds-error-message">{{ error }}</span>
              {% endfor %}
            </div>
            <div class="mt-4">
              <button class="btn btn-outline-secondary" type="button" onclick="previewMessage(); return false">{{ _("Preview") }}</button>
              <input class="btn btn-primary" type="submit" value="{{ _('Save') }}" />
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>

<script>
const inline_help_file_name = "site_newformmessage.j2.md";
const messages = {{ messages | tojson}}
const previews = {{ previews | tojson}}

$(function() {
  setMessage()
});
function changeLanguage() {
  setMessage()
}
function setMessage() {
  let lang_code = $('#language').val()
  let msg = messages[lang_code] !== undefined ? messages[lang_code] : ""
  $('#message').val(msg)
}
function previewMessage() {
  let message = $("#message").val()
  if (!message) {
    $("#flash_container").html("")
    return
  }
  $.ajax({
    url : "{{ url_for('site_bp.get_new_form_msg_preview') }}",
    type: "POST",
    data: {message: message},
    dataType: "json",
    beforeSend: function(xhr, settings) {
        if (!/^(GET|HEAD|OPTIONS|TRACE)$/i.test(settings.type)) {
            xhr.setRequestHeader("X-CSRFToken", csrftoken)
        }
    },
    success: function(data, textStatus, jqXHR)
    {
      $("#flash_container").html(data.html)
      $("#flash_container").show()
    }
  });
}

document.getElementById('toggle_enabled')
        .addEventListener('click', function(evt){
  $.ajax({
    url : "{{ url_for('site_bp.toggle_new_form_msg') }}",
    type: "POST",
    dataType: "json",
    beforeSend: function(xhr, settings) {
        if (!/^(GET|HEAD|OPTIONS|TRACE)$/i.test(settings.type)) {
            xhr.setRequestHeader("X-CSRFToken", csrftoken)
        }
    },
    success: function(data, textStatus, jqXHR)
    {
      if (data.enabled == true) {
        $('#enabled_true').addClass('btn-primary').removeClass('btn-outline-secondary');
        $('#enabled_false').removeClass('btn-primary').addClass('btn-outline-secondary');
      }
      else if (data.enabled == false) {
        $('#enabled_true').removeClass('btn-primary').addClass('btn-outline-secondary');
        $('#enabled_false').addClass('btn-primary').removeClass('btn-outline-secondary');
      }
    }
  });
});
</script>
{% endblock %}
